<?php if(!isset($_SESSION)){session_start();}

if(isset($_GET['doLogout']) && $_GET['doLogout'] == "true"){
  session_unset();
  session_destroy();
  header("Location: login.php");
  exit;
}

// Verifica autenticação: redireciona para login se não houver sessão ativa
if(empty($_SESSION['usuario_id']) && empty($_SESSION['usuario_login'])){ header('Location: login.php'); exit; }
?>